unit QuickToolsIconChanger;

interface

uses
  Windows,
  Forms,
  QuickToolsGlobal;

procedure ChangeIcon;

implementation

{$R QuickToolsIconChanger.res}

procedure ChangeIcon;
begin
  if not ProjOptDialog then
  begin
    if Options.ChangeIcon then
      Application.Icon.Handle:=LoadIcon(HInstance,'QUICKTOOLS5ICON')
    else
      Application.Icon.Handle:=LoadIcon(MainInstance,'MAINICON');
  end;
end;

initialization
  ChangeIcon;
finalization
  if not ProjOptDialog then
    Application.Icon.Handle:=LoadIcon(MainInstance,'MAINICON');
end.

